javax.persistence

## Annotation Type NamedNativeQueries

    @Target(value=TYPE)
     @Retention(value=RUNTIME)
    public @interface NamedNativeQueries

Specifies multiple native SQL named queries. Query names are scoped to the persistence unit. The `NamedNativeQueries` annotation can be applied to an entity or mapped superclass.

See Also:
  `NamedNativeQuery`
Since:
  Java Persistence 1.0

### Required Element Summary

Required Elements
`NamedNativeQuery[]` `value` (Required) Array of `NamedNativeQuery` annotations.

### Element Detail

#### value

    public abstract NamedNativeQuery[] value

(Required) Array of `NamedNativeQuery` annotations.